T_GETSTATE(3N)

NAME
t_getstate - get the current state

SYNOPSIS

#include <tiuser.h>

int t_getstate(fd)
int fd;

DESCRIPTION

t_getstate() returns the current state of the provider associated with the transport endpoint specified by fd.

If the provider is undergoing a state transition when t_getstate() is called, the function will fail. t_getstate() returns the current state on successful completion and -1 on failure and t_errno is set to indicate the error. The current state may be one of the following:

    T_UNBND
        unbound
    T_IDLE
        idle
    T_OUTCON
        outgoing connection pending
    T_INCON
        incoming connection pending
    T_DATAXFER
        data transfer
    T_OUTREL
        outgoing orderly release (waiting for an orderly release indication)
    T_INREL
        incoming orderly release (waiting for an orderly release request)

RETURN VALUES

t_getstate() returns:

0   on success.

-1  on failure and sets t_errno to indicate the error.

ERRORS

TBADF
    The specified file descriptor does not refer to a transport endpoint.

TSTATECHNG
    The transport provider is undergoing a state change.

TSYSERR
    The function failed due to a system error and set errno to indicate the error.

SEE ALSO
t_open(3N)